Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.soap.v11
Class SOAPFault

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.soap.v11.SOAPFault`

public class SOAPFault
extends XMLElement

A SOAP 1.1 Fault element.

A SOAP Fault element contains mandatory faultcode and faultstring child elements, and optional faultactor and detail child elements.

Since:
  2.1
See Also:
  `SOAPEnvelope`

Field Summary
`static java.lang.String` | `Client` Fault Code "Client"
`static java.lang.String` | `MustUnderstand` Fault Code "MustUnderstand"
`static java.lang.String` | `Server` Fault Code "Server"
`static java.lang.String` | `VersionMismatch` Fault Code "VersionMismatch"

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`SOAPFault(org.w3c.dom.Document owner)` Create a new `SOAPFault` instance in the given owner document, but does not appended the Fault element to the document node.
`SOAPFault(org.w3c.dom.Element soapFault)` Create a `SOAPFault` instance from the given SOAP-ENV:Fault element.
`SOAPFault(org.w3c.dom.Element soapFault, java.lang.String systemId)` Create a `SOAPFault` instance from the given SOAP-ENV:Fault element.

Method Summary
`void` | `addDetailEntry(org.w3c.dom.Element detailEntry)` Add a detail entry to this Fault elemet.
`org.w3c.dom.Element` | `getDetail()` Return the detail child element which contains details entries carrying specific error information related to the Body element.
`java.util.List` | `getDetailElements()` Return all the detail entries in the detail child element.
`java.lang.String` | `getFaultActor()` Get the faultactor value.
`java.lang.String` | `getFaultCode()` Return the fault code QName string.
`java.lang.String` | `getFaultString()` Get the fault string value.
`void` | `setFaultActor(java.lang.String actorURI)` Set the faultactor child with the given URI identifying the source of the fault.
`void` | `setFaultCode(java.lang.String localPart)` Set the faultcode child in this Fault element with the given fault code, which will be qualified with this SOAP-ENV:Fault's namespace prefix.
`void` | `setFaultCode(java.lang.String localPart, java.lang.String prefix)` Set the faultcode child in this Fault element with the given fault code and namespace prefix.
`void` | `setFaultString(java.lang.String faultString)` Set the faultstring child element with the given fault string.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VersionMismatch

    public static final java.lang.String VersionMismatch

  Fault Code "VersionMismatch"
  See Also:
    Constant Field Values

### MustUnderstand

    public static final java.lang.String MustUnderstand

  Fault Code "MustUnderstand"
  See Also:
    Constant Field Values

### Client

    public static final java.lang.String Client

  Fault Code "Client"
  See Also:
    Constant Field Values

### Server

    public static final java.lang.String Server

  Fault Code "Server"
  See Also:
    Constant Field Values

Constructor Detail

### SOAPFault

    public SOAPFault(org.w3c.dom.Document owner)
              throws org.w3c.dom.DOMException

  Create a new `SOAPFault` instance in the given owner document, but does not appended the Fault element to the document node.
Parameters:
  `owner` - The document to contain the new `SOAPFault`.

### SOAPFault

    public SOAPFault(org.w3c.dom.Element soapFault)
              throws org.w3c.dom.DOMException

  Create a `SOAPFault` instance from the given SOAP-ENV:Fault element.
Parameters:
  `soapFault` - A `SOAP-ENV:Fault` element.

### SOAPFault

    public SOAPFault(org.w3c.dom.Element soapFault,
                     java.lang.String systemId)
              throws org.w3c.dom.DOMException

  Create a `SOAPFault` instance from the given SOAP-ENV:Fault element.
Parameters:
  `soapFault` - A `SOAP-ENV:Fault` element.
  `systemId` - The URI string system ID for the `XMLSOAPFault`.
Since:
  2.0

Method Detail

### setFaultCode

    public void setFaultCode(java.lang.String localPart)
                      throws org.w3c.dom.DOMException

  Set the faultcode child in this Fault element with the given fault code, which will be qualified with this SOAP-ENV:Fault's namespace prefix.
  Parameters:
    `localPart` - A string specifying the local (unqualified) part of the fault code QName.
  Throws:
    `org.w3c.dom.DOMException`
  See Also:
    `VersionMismatch`, `MustUnderstand`, `Client`, `Server`

### setFaultCode

    public void setFaultCode(java.lang.String localPart,
                             java.lang.String prefix)
                      throws org.w3c.dom.DOMException

  Set the faultcode child in this Fault element with the given fault code and namespace prefix.
  Parameters:
    `localPart` - A string specifying the local (unqualified) part of the fault code QName.
    `prefix` - A string specifying the namespace prefix for the fault code QName. If `null`, the Fault element's prefix will be used.
  Throws:
    `org.w3c.dom.DOMException`
  Since:
    2.3.0
  See Also:
    `VersionMismatch`, `MustUnderstand`, `Client`, `Server`

### getFaultCode

    public java.lang.String getFaultCode()

  Return the fault code QName string.
  Returns:
    The fault code, or `null` if not specified.

### setFaultString

    public void setFaultString(java.lang.String faultString)
                        throws org.w3c.dom.DOMException

  Set the faultstring child element with the given fault string.
  Parameters:
    `faultString` - fault string value which provide a human readable explaination of fault.
  Throws:
    `org.w3c.dom.DOMException`

### getFaultString

    public java.lang.String getFaultString()

  Get the fault string value.
  Returns:
    The fault string value.

### setFaultActor

    public void setFaultActor(java.lang.String actorURI)
                       throws org.w3c.dom.DOMException

  Set the faultactor child with the given URI identifying the source of the fault.
  Parameters:
    `actorURI` - A URI string identifying the source of fault.
  Throws:
    `org.w3c.dom.DOMException`

### getFaultActor

    public java.lang.String getFaultActor()

  Get the faultactor value.
  Returns:
    The URI string value of the faultactor child identifying the source of fault.

### addDetailEntry

    public void addDetailEntry(org.w3c.dom.Element detailEntry)
                        throws org.w3c.dom.DOMException

  Add a detail entry to this Fault elemet. A detail child element will be created if does not already exist.
  Parameters:
    `detailEntry` - A namespace qualified element carrying certain specific error information related to the Body element.
  Throws:
    `org.w3c.dom.DOMException`

### getDetail

    public org.w3c.dom.Element getDetail()

  Return the detail child element which contains details entries carrying specific error information related to the Body element.
  Returns:
    The detail element, or `null` if it is not present.

### getDetailElements

    public java.util.List getDetailElements()

  Return all the detail entries in the detail child element.
  Returns:
    A `List` of `org.w3c.dom.Element`s representing the detail entries.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.